> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Embed V2

> Create an embed avatar with sandbox support.



## OpenAPI

````yaml /openapi.json post /v2/embeddings
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v2/embeddings:
    post:
      tags:
        - Embeddings
      summary: Create Embed V2
      description: Create an embed avatar with sandbox support.
      operationId: create_embed_v2_v2_embeddings_post
      parameters:
        - name: la_session
          in: cookie
          required: false
          schema:
            title: La Session
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEmbedV2RequestSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_CreateEmbedV2ResponseSchema_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CreateEmbedV2RequestSchema:
      properties:
        avatar_id:
          type: string
          format: uuid
          title: Avatar Id
        context_id:
          type: string
          format: uuid
          title: Context Id
        voice_id:
          title: Voice Id
          type: string
          format: uuid
        type:
          $ref: '#/components/schemas/EmbedAvatarTypeEnum'
          default: DEFAULT
        max_session_duration:
          title: Max Session Duration
          description: Max session duration in seconds
          type: integer
          exclusiveMinimum: 0
        default_language:
          title: Default Language
          description: Default language code (e.g. 'en', 'es', 'multi')
          type: string
          maxLength: 5
        is_sandbox:
          type: boolean
          title: Is Sandbox
          description: Whether to enable sandbox mode for sessions
          default: false
        orientation:
          $ref: '#/components/schemas/EmbedOrientation'
          description: 'Embed orientation: horizontal (16:9) or vertical (9:16)'
          default: horizontal
      type: object
      required:
        - avatar_id
        - context_id
      title: CreateEmbedV2RequestSchema
    Response_CreateEmbedV2ResponseSchema_:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          anyOf:
            - $ref: '#/components/schemas/CreateEmbedV2ResponseSchema'
            - type: 'null'
        message:
          title: Message
          type: string
      type: object
      title: Response[CreateEmbedV2ResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EmbedAvatarTypeEnum:
      type: string
      enum:
        - DEFAULT
        - WIDGET
      title: EmbedAvatarTypeEnum
    EmbedOrientation:
      type: string
      enum:
        - horizontal
        - vertical
      title: EmbedOrientation
    CreateEmbedV2ResponseSchema:
      properties:
        embed_id:
          type: string
          format: uuid
          title: Embed Id
        url:
          type: string
          title: Url
        script:
          title: Script
          type: string
        orientation:
          $ref: '#/components/schemas/EmbedOrientation'
          default: horizontal
      type: object
      required:
        - embed_id
        - url
      title: CreateEmbedV2ResponseSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````